[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.ProcessMessages

Call this method during lengthy operations to ensure the GUI remains responsive.

## Declaration

Source position: forms.pp line 1633

`public procedure TApplication.ProcessMessages;`

## Description

Calls AppProcessMessages in the widgetset class to processes pending messages, and calls ProcessAsyncCallQueue to handle any queued asynchronous callbacks.